﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamPieChartBindingCase
{

    public class MyViewModel
    {

        public Data DataToBind { get; set; }

        public MyViewModel()
        {
            DataToBind = new Data();
        }

    }
    
    public class DataItem
    {
        public string Label { get; set; }
        public double Value { get; set; }
    }
    
    public class Data : ObservableCollection<DataItem>
    {
        public Data()
        {
            Add(new DataItem { Label = "Item 1", Value = 5 });
            Add(new DataItem { Label = "Item 2", Value = 6 });
            Add(new DataItem { Label = "Item 3", Value = 3 });
            Add(new DataItem { Label = "Item 4", Value = 7 });
            Add(new DataItem { Label = "Item 5", Value = 5 });
        }
    }
}
